.pagination
  display flex
  align-items center
  justify-content center
  gap 5px
  &__item
    border-radius 4px
    a 
      display flex
      align-items center
      text-decoration none
    &:not(^[0]__item--prev):not(&^[0]__item--next)
      transition-property background-color
      transition-duration var(--transition-duration-out)
      a
        justify-content center
        width 32px
        height 32px
        border 1px solid var(--color-mark)
        border-radius 4px
        transition-property color
        transition-duration var(--transition-duration-out)
      +hover()
        background-color var(--color-mark)
        transition-duration var(--transition-duration-in)
        a 
          color var(--color-white)
          transition-duration var(--transition-duration-in)
    &--active
      background-color var(--color-mark)
      a
        color var(--color-white)
    &--disabled
      color var(--color-grey)
      cursor auto
    &--prev
      margin-right 6px
    &--next
      margin-left 6px
